/*
Theme Name: Haus Child
Theme URI: 
Author: Haus Byrå AS
Author URI: 
Description: 
Requires at least: 6.0
Tested up to: 6.3.1
Requires PHP: 5.7
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: hausbyra
Text Domain: haus
Tags: full-site-editing, 
*/

/* links */
a:-webkit-any-link:hover {
    text-decoration: none;
}

.custom-underline:hover {
    text-decoration: underline !important;
}

.custom-underline-color:hover {
    text-decoration: underline !important;
    text-decoration-color: #E2E99C !important;
    text-decoration-thickness: 2px !important;
    text-underline-offset: 3px !important;
}
.custom-padding-hover:hover .kb-adv-text-inner {
   padding-right: 10px !important;
   transition: 0.25s;
}

/* breadcrumbs */
.rank-math-breadcrumb {
    font-size: 0.875rem !important;
}

/* hamburger menu */
.wp-block-kadence-off-canvas-trigger:focus {
    color: white !important
}

.wp-block-kadence-navigation.navigation-desktop-orientation-vertical .kb-nav-dropdown-toggle-btn svg {
    height: 30px;
    width: 30px;
    color: #E2E99C;
}

/* search */
.wp-block-haus-search-form input, .wp-block-haus-search-form input::placeholder, .wp-block-haus-search-form button {
    color: white !important;
}
@media (max-width: 1024px) {
  .haus-search-link-input-wrapper.active {
    margin-top: 20px !important;
  }
}

/* categories */
.wp-block-kadence-posts .entry-meta a {
    text-decoration: underline;
}
.wp-block-kadence-posts .entry-meta a:hover {
    text-decoration: none;
}

/* kontaktpersoner */
.custom-margin-top-bottom {
    margin-top: -35px !important;
    margin-bottom: -20px !important;
}

/* kontaktskjema */
.kb-advanced-form textarea, .kb-advanced-form input[type=file], .kb-advanced-form input:not(.kb-form-basic-style input[type=checkbox]) {
    order: 3;
}
.kb-adv-form-help {
    order: 2;
}

/* innlegg */
@media (min-width: 761px) {
  .move-block-up {
    z-index: 0;
    margin-top: -200px !important;
  }
  .remove-desktop {
    display: none;
  }
}
@media (max-width: 760px) {
  .remove-mobile {
    display: none;
  }
}
.move-block-up-2 {
    z-index: 0;
    margin-top: -200px !important;
  }

  /* søkeresultat */
  .wp-block-post-excerpt__more-link {
    font-weight: 700 !important;
  }

  /* tidslinje */
  #BTimelineBlock-1 .timeline .timeline__content p {
    font-size: 1rem !important;
  }

  /* figcaption */
  figcaption {
    font-size: 0.9rem !important;
    color: #101921 !important;
  }

  /* posts grid */
  .kt-blocks-post-grid-item .entry-title a:not(.button):not(.list) {
    text-decoration: underline;
  }
  .kt-blocks-post-grid-item .entry-title a:not(.button):not(.list):hover {
    text-decoration: none;
  }